Does WPGlobus support MSIE / Opera / Safari / Chrome / Firefox – Version x.x?

  • We believe that our CSS and JS run properly on the most recent versions of those browsers.
  • We do our best to fix any problems you discover on Chrome, FF and MSIE 11+. Opera and Safari are excluded from our top list, but they should work fine. MSIE 10,9,8,7,etc. – completely ignored (thanks for understanding).